## ipyparallel 7.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

default: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/IPythonparallel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/IPythonparallel.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/IPythonparallel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/IPythonparallel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
matplotlib
myst-parser
nbsphinx
numpy
pydata-sphinx-theme
sphinx
sphinx-copybutton

## ipyparallel 6.3.0

=== debian/changelog ===
ipyparallel (6.3.0-2) unstable; urgency=medium

  * [0ad42ef] mark -doc pkg as M-A: foreign
  * [46569b8] do not build -doc pkg if nodoc is requested
  * [54be5dc] annotate Build-Deps for nodoc and nocheck DEB_BUILD_PROFILES

 -- Joseph Nahmias <jello@debian.org>  Wed, 28 Oct 2020 23:48:59 -0400

ipyparallel (6.3.0-1) unstable; urgency=medium

  [ Joseph Nahmias ]
  * Initial release, closes: #969708.
  * fix test that assumed there is a public IP on the machine.
  * install confiles to /etc, not /usr/etc.
  * create manpages for cluster management CLI utilities
  * add autopkgtest info to run the upstream test suite
  * set IPYTHONDIR explicitly when running test suite
  * bump debhelper to 13
  * clean up trailing whitespace
  * install examples
  * honor nodoc & nocheck in DEB_BUILD_OPTIONS
  * use local intershpinx inventory files
  * [de73160] use the salsa-ci pipeline
  * [b0f78e7] explicitly use installed path for autopkgtest, thanks Gordon Ball
  * [5052aad] use my newly restored @debian.org address
  * [a9e4ffd] mark test_wait_for_send as xfail
  * [07c25c7] add missing pytest import
  * [7be3ffc] tweak salsa-ci config.
     - specify release explicitly;
     - run pipeline for tags;
     - don't bother looking for arch:any pkgs to build -- there aren't any.

  [ Ondřej Nový ]
  * [3b94096] d/control: Update Vcs-* fields with new Debian Python Team
                         Salsa layout

 -- Joseph Nahmias <jello@debian.org>  Mon, 28 Sep 2020 22:54:01 -0400

=== debian/control ===
Source: ipyparallel
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all, python3-setuptools,
 python3-ipython-genutils, python3-decorator, python3-zmq,
 python3-traitlets, python3-ipython, python3-jupyter-client,
 python3-ipykernel, python3-tornado, python3-dateutil,
 python3-sphinx <!nodoc>, python3-doc <!nodoc>, python-ipython-doc <!nodoc>,
 python-distributed-doc <!nodoc>, python-jupyter-client-doc <!nodoc>,
 python3-pytest <!nocheck>, python3-pytest-cov <!nocheck>,
 python3-testpath <!nocheck>, python3-mock <!nocheck>
Standards-Version: 4.5.0
Homepage: https://github.com/ipython/ipyparallel
Vcs-Git: https://salsa.debian.org/python-team/packages/ipyparallel.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipyparallel
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-ipyparallel
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-ipyparallel-doc
Description: Interactive Parallel Computing with IPython (library & scripts)
 ipyparallel is a Python package and collection of CLI scripts
 for controlling clusters for Jupyter. ipyparallel is the new home
 of IPython.parallel.
 .
 ipyparallel contains the following command-line scripts:
 .
    ipcluster - start/stop a cluster
    ipcontroller - start a scheduler
    ipengine - start an engine
 .
 This package installs the Python 3 library and the CLI scripts.

Package: python-ipyparallel-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Interactive Parallel Computing with IPython (documentation)
 ipyparallel is a Python package and collection of CLI scripts
 for controlling clusters for Jupyter. ipyparallel is the new home
 of IPython.parallel.
 .
 ipyparallel contains the following CLI scripts:
 .
    ipcluster - start/stop a cluster
    ipcontroller - start a scheduler
    ipengine - start an engine
 .
 This is the documentation package for ipyparallel.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ipyparallel

%:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	mkdir -p "$(CURDIR)/.ipython"
	IPYTHONDIR="$(CURDIR)/.ipython" python3 -m pytest
	rm -rf "$(CURDIR)/.ipython"
endif

=== debian/tests/control ===
Test-Command: pytest-3 /usr/lib/python3/dist-packages/ipyparallel
Features: test-name=upstream_testsuite-pytest
Depends: python3-ipyparallel,
 python3-pytest, python3-pytest-cov, python3-testpath, python3-mock

## ipyparallel 7.1.0

=== debian/changelog ===
ipyparallel (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Refresh patches
  * Add new dependencies for building the docs: python-pymongo-doc,
    python3-nbsphinx, python3-sphinx-copybutton, pandoc, python3-matplotlib
  * Add new dependencies for running the tests: python3-pytest-asyncio,
    python3-pytest-tornado, python3-psutil, python3-tqdm

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Oct 2021 12:49:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,16 @@
  python3-all, python3-setuptools,
  python3-ipython-genutils, python3-decorator, python3-zmq,
  python3-traitlets, python3-ipython, python3-jupyter-client,
- python3-ipykernel, python3-tornado, python3-dateutil,
+ python3-ipykernel, python3-tornado, python3-dateutil, python3-psutil,
+ python3-tqdm,
  python3-sphinx <!nodoc>, python3-doc <!nodoc>, python-ipython-doc <!nodoc>,
  python-distributed-doc <!nodoc>, python-jupyter-client-doc <!nodoc>,
+ python-pymongo-doc <!nodoc>, python3-nbsphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>, pandoc <!nodoc>, python3-matplotlib <!nodoc>,
  python3-pytest <!nocheck>, python3-pytest-cov <!nocheck>,
- python3-testpath <!nocheck>, python3-mock <!nocheck>
-Standards-Version: 4.5.0
+ python3-testpath <!nocheck>, python3-mock <!nocheck>,
+ python3-pytest-asyncio <!nocheck>, python3-pytest-tornado <!nocheck>
+Standards-Version: 4.6.0
 Homepage: https://github.com/ipython/ipyparallel
 Vcs-Git: https://salsa.debian.org/python-team/packages/ipyparallel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ipyparallel
@@ -42,6 +46,9 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Suggests: python3-doc <!nodoc>, python-ipython-doc <!nodoc>,
+ python-distributed-doc <!nodoc>, python-jupyter-client-doc <!nodoc>,
+ python-pymongo-doc <!nodoc>
 Description: Interactive Parallel Computing with IPython (documentation)
  ipyparallel is a Python package and collection of CLI scripts
  for controlling clusters for Jupyter. ipyparallel is the new home

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html
+	PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/source build/html
 endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
 	mkdir -p "$(CURDIR)/.ipython"
-	IPYTHONDIR="$(CURDIR)/.ipython" python3 -m pytest
+	IPYTHONDIR="$(CURDIR)/.ipython" python3 -m pytest -rs
 	rm -rf "$(CURDIR)/.ipython"
 endif

=== debian/tests/control ===
Test-Command: pytest-3 /usr/lib/python3/dist-packages/ipyparallel
Features: test-name=upstream_testsuite-pytest
Depends: python3-ipyparallel,
 python3-pytest, python3-pytest-cov, python3-testpath, python3-mock,
 python3-pytest-tornado, python3-pytest-asyncio

## ipyparallel 8.8.0

=== .binder/requirements.txt ===
ipywidgets
jupyterlab >=3.2.4
jupyterlab-link-share
matplotlib
networkx
pidigits
requests
retrolab >=0.3.13
wordfreq

=== docs/requirements.txt ===
# pin jinja2 due to broken deprecation used in nbconvert
autodoc-traits
jinja2==3.0.*
matplotlib
myst-nb
myst-parser
numpy
pydata-sphinx-theme
sphinx
sphinx-copybutton
sphinxext-rediraffe

=== debian/changelog ===
ipyparallel (8.8.0-6) unstable; urgency=medium

  * Team upload.
  * Copy pyproject.toml into test directory in autopkgtest (closes:
    #1111060).
  * Run autopkgtest for all supported Python versions.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Aug 2025 10:58:28 +0100

ipyparallel (8.8.0-5) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-entrypoints using upstream patch.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 00:45:36 +0200

ipyparallel (8.8.0-4) unstable; urgency=medium

  * Team upload.
  * Define asyncio_default_fixture_loop_scope for pytest-asyncio >= 0.24.

 -- Roland Mas <lolando@debian.org>  Wed, 30 Oct 2024 15:15:26 +0100

ipyparallel (8.8.0-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-ipython-genutils
  * Add dependency on new package python3-autodoc-traits

 -- Alexandre Detiste <tchet@debian.org>  Sat, 03 Aug 2024 23:14:32 +0200

ipyparallel (8.8.0-2) unstable; urgency=medium

  * Rebuild for unstable.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 09 May 2024 08:44:58 -0300

ipyparallel (8.8.0-1~exp1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * Team upload.
  * New upstream version 8.8.0 (Closes: #1063948, #1061744)
  * wrap-and-sort -sa
  * disable JS extension
  * use new dh-sequence-python3
  * update build dependencies:
    - python3-mock
    + python3-myst-nb
    + python3-myst-parser
    + python3-pydata-sphinx-theme
    + python3-sphinxext-rediraffe deps

  [ Emmanuel Arias ]
  * d/salsa-ci.yml: Change release variable to experimental.
  * d/control: Add pybuild-plugin-pyproject as B-Depends.
  * d/control: Remove python3-setuptool from build dendencies, it was removed
    by upstream.
    - Add python3-hatchling and python3-entrypoints as build dependencies.
  * d/rules: Use dh_auto_test instead of run pytest directly.
    - Ignore RuntimeWarnings and DeprecationWarnings during the tests.
  * d/rules: Remove override_dh_auto_test it is not longer needed.
  * d/control: Remove python3-pytest-cov from build dependency it not needed.
  * d/rules: Add PYBUILD_AFTER_INSTALL to move configuraiton files from
    /usr/etc/jupyter to /etc/jupyter.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.0; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 04 May 2024 18:00:12 -0300

ipyparallel (7.1.0-5) unstable; urgency=medium

  * Team upload.
  * Drop python-distributed-doc (build) dependency (Closes: #1030920)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Feb 2023 09:32:47 +0100

ipyparallel (7.1.0-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for Python 3.11 (Closes: #1024916)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Dec 2022 10:00:11 +0100

ipyparallel (7.1.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with new setuptools (Closes: #1020036)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 03 Nov 2022 20:45:06 +0530

ipyparallel (7.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:26:23 +0100

=== debian/control ===
Source: ipyparallel
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pandoc <!nodoc>,
 pybuild-plugin-pyproject,
 python-ipython-doc <!nodoc>,
 python-jupyter-client-doc <!nodoc>,
 python-pymongo-doc <!nodoc>,
 python3-all,
 python3-autodoc-traits <!nodoc>,
 python3-dateutil,
 python3-decorator,
 python3-doc <!nodoc>,
 python3-hatchling,
 python3-ipykernel,
 python3-ipython,
 python3-jupyter-client,
 python3-matplotlib <!nodoc>,
 python3-myst-nb <!nodoc>,
 python3-myst-parser <!nodoc>,
 python3-nbsphinx <!nodoc>,
 python3-psutil,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-tornado <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinxext-rediraffe <!nodoc>,
 python3-testpath <!nocheck>,
 python3-tornado,
 python3-tqdm,
 python3-traitlets,
 python3-zmq
Standards-Version: 4.7.0
Homepage: https://github.com/ipython/ipyparallel
Vcs-Git: https://salsa.debian.org/python-team/packages/ipyparallel.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ipyparallel
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-ipyparallel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-ipyparallel-doc
Description: Interactive Parallel Computing with IPython (library & scripts)
 ipyparallel is a Python package and collection of CLI scripts
 for controlling clusters for Jupyter. ipyparallel is the new home
 of IPython.parallel.
 .
 ipyparallel contains the following command-line scripts:
 .
    ipcluster - start/stop a cluster
    ipcontroller - start a scheduler
    ipengine - start an engine
 .
 This package installs the Python 3 library and the CLI scripts.

Package: python-ipyparallel-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Suggests:
 python-ipython-doc <!nodoc>,
 python-jupyter-client-doc <!nodoc>,
 python-pymongo-doc <!nodoc>,
 python3-doc <!nodoc>
Description: Interactive Parallel Computing with IPython (documentation)
 ipyparallel is a Python package and collection of CLI scripts
 for controlling clusters for Jupyter. ipyparallel is the new home
 of IPython.parallel.
 .
 ipyparallel contains the following CLI scripts:
 .
    ipcluster - start/stop a cluster
    ipcontroller - start a scheduler
    ipengine - start an engine
 .
 This is the documentation package for ipyparallel.

=== debian/tests/control ===
Tests: pytest
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-tornado,
 python3-testpath,
 @
Restrictions: allow-stderr

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipyparallel-$1.tar.gz%" \
   https://github.com/ipython/ipyparallel/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ipyparallel 9.0.2

=== debian/changelog ===
ipyparallel (9.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Jan 2026 12:42:17 +0000
